Bug 169122 - default "Turn on/off" hotkey binding to Shift too easy to mistrigger
default "Turn on/off" hotkey binding to Shift too easy to mistrigger
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: scim-tables (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
: FutureFeature
Depends On:
Blocks: FC5Blocker SCIM
  Show dependency treegraph
 
Reported: 2005-09-23 08:29 EDT by Rajesh Ranjan
Modified: 2015-04-21 00:33 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-06 10:31:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rajesh Ranjan 2005-09-23 08:29:12 EDT
Description of problem:
function for changing languages with shift is creating problem. Eg. if I am
writing in Hindi then I have to use frequently 'shift'.   Due to this unwanted
language change happens frequently. This occured very often.

Version-Release number of selected component (if applicable):
1.4

How reproducible:everytime when releasing shift key


Steps to Reproduce:
1. change language with Ctrl-space.  
2.Press shift key
3. Relaese shift key
  
Actual results: Language change occured too often


Expected results:
language should not change with shift key

Additional info:
Comment 1 Warren Togami 2005-09-26 01:00:23 EDT
Evidently this behavior is not active by default in all SCIM IM languages, but
only a select few.

Shift Enable/Disable Examples
=============================
Smart Pinyin
Arabic
Amharic

Counter-Examples
================
Anthy
Hangul (all)

I suspect that this behavior is a hold-over from the default SCIM Pinyin
behavior which was a primary motivation for the creation of SCIM.  It is highly
desired for Chinese as it matches the behavior of popular software like Ziguang
Pinyin.

I suggest that we decide if we should add an option to the various IM languages
whether they are enabled or disabled in our environment by default.  Some
languages may desire this SHIFT behavior, while others like this report where it
would be undesirable.  An option with per-language default would allow expected
behavior and an option to change it if the user so desires.  We should make
these determinations based upon the default behavior of popular equivalent
software on platforms like Windows, or precedent of RHEL4.
Comment 2 Jens Petersen 2005-09-26 02:12:36 EDT
Agreed, basically I think it would be better for scim-pinyin to handle this
itself, like scim-anthy does for example, but failing that we may have to
default according to locale or something like that.
Comment 3 James Su 2006-01-11 01:23:12 EST
It's a bug of scim-tables. I'll fix it asap.
Comment 4 Warren Togami 2006-01-24 01:07:40 EST
James, I've sometimes seen this behavior in scim-anthy too.  Is there any
possible explanation for this?
Comment 5 Jens Petersen 2006-02-13 03:38:20 EST
I believe scim-tables no longer default to using Shift-release
for toggling between native and ascii input.
Comment 6 Warren Togami 2006-03-06 10:31:58 EST
I haven't seen this behavior anymore for a while.  Closing.

Note You need to log in before you can comment on or make changes to this bug.